import javax.naming.*;
import java.util.Hashtable;

public class Example1 
  {
    public static void main(String[] args) 
      {
	String name = args[0];

	try 
          {
	    Hashtable env = new Hashtable(11);
	    env.put(Context.INITIAL_CONTEXT_FACTORY, "com.sun.jndi.fscontext.RefFSContextFactory");
	    env.put(Context.PROVIDER_URL,            "file:/temp");

	    Context context = new InitialContext(env);
	    Object obj = context.lookup(name);
	    System.out.println(name + " is bound to: " + obj + "(" + obj.getClass() + ")");

	    for (NamingEnumeration e = context.listBindings(name); e.hasMore(); )
  	      {
	        Binding binding = (Binding)e.next();
	        System.out.println("Name: " + binding.getName() + 
	                           " class: " + binding.getClassName() + 
	                           " object: " + binding.getObject());
	      } 
	    context.close();
	  } 

        catch (NamingException e) 
          {
	    System.err.println("Problem looking up " + name + ": " + e);
	    e.printStackTrace();
	  }
      }
  }

